<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaSalaryTemplateDetailMapper">

    <resultMap type="com.ruoyi.oa.domain.OaSalaryTemplateDetail" id="OaSalaryTemplateDetailResult">
        <result property="salaryDetailId" column="salary_detail_id"/>
        <result property="salaryTemplateId" column="salary_template_id"/>
        <result property="salaryItem" column="salary_item"/>
        <result property="amount" column="amount"/>
        <result property="rate" column="rate"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="findByTemplateId" resultType="com.ruoyi.oa.domain.OaSalaryTemplateDetail">
        SELECT * FROM oa_salary_template_detail WHERE salary_template_id = #{templateId}
    </select>


</mapper>
